// Editor.cpp: implementation of the CEditor class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "FormEditor.h"
#include "Editor.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CEditor::CEditor()
{
	count = 0;
}

CEditor::~CEditor()
{
	for (int i=0; i<count; i++)
		delete list[i];
}

bool CEditor::AddNewForm()
{
	if (count < 100)
	{
		list[count] = new CForm;
		count++;
		return true;
	}
	else
		AfxMessageBox("Form capacity has exceeded");
	return false;
}

void CEditor::Draw(CPaintDC &dc)
{
	char temp[10];
	itoa(count, temp, 10);
	dc.TextOut(0, 0, temp);
	if (count > 0)
		list[count-1]->Draw(dc);
}

void CEditor::KeyPressed(UINT nChar)
{
	if (count > 0)
		list[count-1]->KeyPressed(nChar);
}
